Samsung Galaxy S2 Official ICS 4 build leaked!

Yet again, much like it happened with Android 2.3 last year when Galaxy S firmware — XWJV1 — leaked to public. Heck, even Google’s own Nexus S is yet to receive an officialrelease/leak!!

And this time, it’s the Samsung’s rockstar device, the international Galaxy S2 i9100, which took the honor of first leaked Android 4.0 firmware — v4.0.1 to be precise.

The leaked firmware is dubbed as i9100XXKP1, or XXKP1 if you prefer, and is flashable from Odin, the PC software we all know and love to use to flash firmwares.

The XXKP1 has ben leaked by the lucky guys over at SamMobile, who have been our traditional — and reputed — source for leaks since the days of Android 2.2 firmwares for good ol’ buddy,Galaxy S i9000.

Although XXKP1 has been leaked, the flashing of the same has not been recommended. But you know us, we’re downloading and we’ll be flashing this pretty soon, and will let you know for definite what’s in and what’s out.

Speaking of which, lovely TW4 is there (even though stock android launcher in ICS is pretty good now), and all basic stuff like Calls, SMS, Internet and other usual stuff is said to be working. The problem seems to be with random reboots, which is why samfirmware guys are not calling it a “CUSTOM” and not a proper firmware which they mostly term their leaks. Also, the kernel used in this firmware is insecure, thus this has been labeled as a CUSTOM rom, rather than the usual firmware, although we’re calling it a firmware going by the naming and source of the leak itself.

If you insist on trying the firmware yourself, the download link is below. Just know that this will void warranty even though it’s Samsung’s firmware, because it uses an insecure kernel. And YOU TAKE ALL THE RISKS ASSOCIATED WITH THIS. Be sure to backup important data. Our Odin flashing guide will follow soon, btw, so wait of you can.

DOWNLOAD XXKP1 (password: samfirmware.com)

To install on your Galaxy S2 i9100, check out this detailed XXKP1 installation guide. It’s got everything you would need.

And if this troubles you more than anticipated, jump back to Android 2.3.6 firmware — XXKL1.

Source: [The Android Soul]

 

Bookmark and Share
Comments
  1. Ryanogigon

Leave a Reply to Ryanogigon Cancel reply